PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!


 
 
  1. #1

    [Answered] FF XIII-2 PS3 Firmware required help?

    Does anyone know what firmware will be required for the US version of FF XIII-2?
    Best Answer - Posted by Ezio:

    As xpa12 said, also the US version of FF XIII-2 will require 3.74 fw since demo requires the same fw version.

  2. #2
    Join Date
    Apr 2009
    Posts
    24
    Well the Japanese version requires 3.74, so I would imagine the same for rest of the world.

  3. #3
    OMG OMG OMG OMG 8 more days my heart is pounding.

    Anyways, if you're asking because you want to know if it will be playable on cfw then here are my thoughts.

  4. #4
    Join Date
    Aug 2011
    Posts
    358
    As xpa12 said, also the US version of FF XIII-2 will require 3.74 fw since demo requires the same fw version.

 
Closed Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •